net.i2p.router.web

## Class ShitlistRenderer

- java.lang.Object
- - net.i2p.router.web.ShitlistRenderer

    public class ShitlistRenderer
    extends Object

Moved from Shitlist.java

### Constructor Summary

Constructors
Constructor and Description
`ShitlistRenderer(RouterContext context)`

### Method Summary

Methods
`void` `renderStatusHTML(Writer out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShitlistRenderer

    public ShitlistRenderer(RouterContext context)

### Method Detail

#### renderStatusHTML

    public void renderStatusHTML(Writer out)
                          throws IOException

Throws:
  `IOException`